# Continue payment

This endpoint allows the user to continue a payment with the given payment reference.

The endpoint /v1/payment/pay/:payment\_reference/continue is a POST request to continue a card payment. No request body parameters are required for this request.

#### <mark style="color:green;">POST:</mark> v1/payment/pay/:payment\_reference/continue

\
**Params**

| Name               | Type   | Description                                                        |
| ------------------ | ------ | ------------------------------------------------------------------ |
| payment\_reference | string | The payment reference that was generated when initializing payment |

#### Headers

| Name       | Type   | Description              |
| ---------- | ------ | ------------------------ |
| secret-key | string | Your Vesicash secret key |
| public-key | string | Your Vesicash public key |

#### Response

```
{
    "status": "success",
    "code": 200,
    "message": "success",
    "data": "payment sent for processing"
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.vesicash.com/api-documentation/payments/continue-payment.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
